> Documentation index: https://docs.sellhidden.com/llms.txt

# Analytics

Source: https://docs.sellhidden.com/reference/analytics

Revenue and order statistics.

## Endpoints

1 endpoint · [analytics:read](https://docs.sellhidden.com/start?scope=analytics%3Aread#scopes)

Base URL https://api.sellhidden.com/v1 · Authorization: Bearer · 120/min per key · cursor pagination · Idempotency-Key on POST · No test mode

### GET /analytics — Revenue and orders

Scope `analytics:read`.

**Query parameters**

| Query parameters | Type | Description |
| --- | --- | --- |
| `period` | 24h \| 7d \| 30d \| 90d \| 365d | Window ending now. Default 30d. |

```bash
curl https://api.sellhidden.com/v1/analytics \
  -H "Authorization: Bearer hsk_live_…"
```

Response (200):

```json
{
  "ok": true,
  "period": "7d",
  "revenue": { "totalUsd": 1240.5, "daily": [ { "t": "2026-09-20T00:00:00.000Z", "value": 180 }, … ] },
  "orders": { "total": 43, "daily": [ { "t": "2026-09-20T00:00:00.000Z", "value": 6 }, … ] },
  "customerCount": 39,
  "topProducts": [ { "productId": "clx…", "slug": "lifetime-license", "title": "Lifetime license", "imageUrl": null, "units": 21, "revenueUsd": 609, "orders": 21 } ]
}
```
